Last modified: 2013-07-23 22:42:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34349 - Move Git conversion issues from wiki pages & mailing list into BZ
Move Git conversion issues from wiki pages & mailing list into BZ
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Sumana Harihareswara
https://www.mediawiki.org/wiki/Git/Co...
:
Depends on:
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-02-12 05:56 UTC by Rob Lanphier
Modified: 2013-07-23 22:42 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Rob Lanphier 2012-02-12 05:56:28 UTC
We need to make sure that we either get all of the bugs listed on the "Gerrit bugs that matter" page get fixed, or that we have a contingency plan, or that we're willing to live with whatever pain: https://labsconsole.wikimedia.org/wiki/Gerrit_bugs_that_matter

Each item should be responded to individually, at least to indicate which of the three outcomes above we expect.
Comment 1 Chad H. 2012-02-24 23:11:54 UTC
I did some cleanup to this the other day. Made sure to note bugs that have been filed upstream.

Still needs some additional prioritization and investigating as to who we can poke about fixing them.
Comment 2 Rob Lanphier 2012-03-05 19:38:30 UTC
Adding this to the triage list:
https://www.mediawiki.org/wiki/Git/Conversion/issues

This page should be the primary hub, since Gerrit issues are a subset.
Comment 3 Sumana Harihareswara 2012-03-15 01:40:21 UTC
I did a pass on these a few days ago, and will have to do another pass Friday or Monday.
Comment 4 Antoine "hashar" Musso (WMF) 2012-03-26 09:07:03 UTC
I think the issues reported on that wiki page, should be migrated to Bugzilla. We already have enough pages to keep track of.
Comment 5 Chad H. 2012-03-26 12:45:20 UTC
I agree. All those items on Git/Conversion/issues should be moved to BZ and/or the main timeline at Git/Conversion.

The "Gerrit bugs that matter" page on labsconsole serves a different purpose and is ok :)
Comment 6 Sumana Harihareswara 2012-03-28 19:20:18 UTC
Assigning to self.
Comment 7 Andre Klapper 2013-02-18 17:32:13 UTC
(In reply to comment #0)
> https://labsconsole.wikimedia.org/wiki/Gerrit_bugs_that_matter

List probably needs reprioritisation and retriaging now that we've updated Gerrit. All upstream tickets on that page are still open though.
Comment 8 Andre Klapper 2013-04-25 17:03:54 UTC
(In reply to comment #5 by Chad)
> I agree. All those items on Git/Conversion/issues should be moved to BZ
> and/or the main timeline at Git/Conversion.

https://www.mediawiki.org/wiki/Git/Conversion/issues states it's inactive and for historical reasons.

https://wikitech.wikimedia.org/wiki/Gerrit_bugs_that_matter lists a dozen of tickets. I volunteer to recheck the upstream status & transfer them into Bugzilla with the "upstream" keyword, if that is wanted and provides value for the Gerrit folks.

** Chad / Christian / Hashar **: Any comments? Shall I copy the open tickets listed on https://wikitech.wikimedia.org/wiki/Gerrit_bugs_that_matter to Bugzilla?

In any case, I'd like to get this ticket here closed soon.
Comment 9 Chad H. 2013-04-25 17:24:23 UTC
Some of them are already in BZ, so compare them to what's filed. Otherwise sure, I'd love to close these pages.
Comment 10 Chad H. 2013-07-23 22:42:08 UTC
This is done enough. Everything important has long since made it into BZ. Less important stuff went upstream.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links